net.corda.node.services.transactions

## Class BFTSMaRt.CommitRequest

- net.corda.node.services.transactions.BFTSMaRt.CommitRequest

- Enclosing class:
    BFTSMaRt

      public static class BFTSMaRt.CommitRequest

  Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.

  See Also:
    `class BFTSMaRt.Client`, `class BFTSMaRt.Server`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitRequest(java.lang.Object tx, Party callerIdentity)` Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `component1()`
    `Party` | `component2()`
    `BFTSMaRt.CommitRequest` | `copy(java.lang.Object tx, Party callerIdentity)` Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.
    `boolean` | `equals(java.lang.Object p)`
    `Party` | `getCallerIdentity()`
    `java.lang.Object` | `getTx()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### CommitRequest

          public CommitRequest(java.lang.Object tx,
                               Party callerIdentity)

      Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.

      See Also:
        `class BFTSMaRt.Client`, `class BFTSMaRt.Server`

  - ### Method Detail

    - #### getTx

          public java.lang.Object getTx()

    - #### getCallerIdentity

          public Party getCallerIdentity()

    - #### component1

          public java.lang.Object component1()

    - #### component2

          public Party component2()

    - #### copy

          public BFTSMaRt.CommitRequest copy(java.lang.Object tx,
                                             Party callerIdentity)

      Sent from `class BFTSMaRt.Client` to `class BFTSMaRt.Server`.

      See Also:
        `class BFTSMaRt.Client`, `class BFTSMaRt.Server`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)